unit tvClone;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TtvCloneForm = class(TForm)
    edFind1: TEdit;
    edRepl1: TEdit;
    edFind2: TEdit;
    edRepl2: TEdit;
    edFind3: TEdit;
    edRepl3: TEdit;
    Bevel1: TBevel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  tvCloneForm: TtvCloneForm;

implementation
var
  tmp_edFind1: string;
  tmp_edRepl1: string;
  tmp_edFind2: string;
  tmp_edRepl2: string;
  tmp_edFind3: string;
  tmp_edRepl3: string;

{$R *.dfm}

procedure TtvCloneForm.FormCreate(Sender: TObject);
begin
   edFind1.Text := tmp_edFind1;
   edRepl1.Text := tmp_edRepl1;
   edFind2.Text := tmp_edFind2;
   edRepl2.Text := tmp_edRepl2;
   edFind3.Text := tmp_edFind3;
   edRepl3.Text := tmp_edRepl3;
end;

procedure TtvCloneForm.FormDestroy(Sender: TObject);
begin
   tmp_edFind1 := edFind1.Text;
   tmp_edRepl1 := edRepl1.Text;
   tmp_edFind2 := edFind2.Text;
   tmp_edRepl2 := edRepl2.Text;
   tmp_edFind3 := edFind3.Text;
   tmp_edRepl3 := edRepl3.Text;
end;

end.
